# Interface TreeExporter

All Known Implementing Classes:
  `NewickExporter, NexusExporter, PHYLIPExporter`

public interface TreeExporter

Version:
  $Id: TreeExporter.java 429 2006-08-26 18:17:39Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`exportTree(Tree tree)`
Export a single tree
`void`
`exportTrees(Collection<? extends Tree> trees)`
Export a collection of trees

## Method Details

### exportTree

void exportTree(Tree tree)
Export a single tree

Parameters:
  `tree` -
Throws:
  `IOException`

### exportTrees

void exportTrees(Collection<? extends Tree> trees)
Export a collection of trees

Parameters:
  `trees` -
Throws:
  `IOException`

### close

void close()